Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 128932 - Unable to turn off transparency in floating windows
Unable to turn off transparency in floating windows
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 17:22 UTC by kirillkh
Modified: 2008-12-22 11:59 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kirillkh 2008-03-02 17:22:51 UTC
Product Version: NetBeans IDE Dev (Build 20080302134226)
Java: 1.6.0_01; Java HotSpot(TM) Client VM 1.6.0_01-b06
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
------------------------------------------------------------

The new floating windows transparency is counter-productive for me, as I keep several undocked windows floating
specifically to make them visible all the time. With transparency, I can't really see them. Besides, this feature
impacts performance rather hard for my machine.

I've looked for a way to turn this off in the Options, but found nothing. I guess the option is planned for future, but
please provide even a rough workaround meanwhile (like setting a system property: -J-D...).
Comment 1 David Simonek 2008-03-03 08:30:30 UTC
I expected such report, but not that fast :-)

for now, you can disable it by setting hidden preferences - create file "windows.properties" in your user directory in 
config/Preferences/org/netbeans/core (create dir if it doesn't exist) and following property setting in the config file:

transparency.floating=false

btw, this way you can set also several other properties, defined in following source file
http://hg.netbeans.org/main/file/882b48e4e1f1/core.windows/src/org/netbeans/core/windows/options/WinSysPrefs.java

We plan to provide some visual options, but we tried first if it is really needed...

Comment 2 kirillkh 2008-03-03 11:30:43 UTC
Perhaps the best would be to include a special button in every window, through which it would be possible to configure
its individual transparency. No doubt, you'll also get requests to make it possible to configure transparency level. As
for me, I'll just be happy, if your workaround works.
Comment 3 Petr Chytil 2008-03-28 11:08:49 UTC
verified - new options panel was implemented - see Issue 123125


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo